
/*
    smbus.h - Part of a Linux module for reading sensor data.
    Copyright (c) 1998  Alexander Larsson <alla@lysator.liu.se>,
    Frodo Looijaard <frodol@dds.nl> and Philip Edelbrock <phil@netroedge.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef __LINUX_SMBUS_H
#define __LINUX_SMBUS_H

/*
	Prototypes 
*/
extern int SMBus_Init(void);
extern void SMBus_Cleanup(void);
extern int SMBus_Write(int addr, long value, int size);
extern int SMBus_Read(int addr, int command, int size);

extern int SMBus_Initialized;

/* SMBus transaction types (size parameter in the above functions) */
#define SMBUS_QUICK_READ 0x00
#define SMBUS_BYTE       0x04
#define SMBUS_BYTE_DATA  0x08 
#define SMBUS_WORD_DATA  0x0C
#define SMBUS_BLOCK_DATA 0x14

#endif
